Subject: bug#36644: Git log search

From: Dmitry Gutov <[email-masked]>
Date: Tue, 16 Jul 2019 17:25:39 +0300

On 16.07.2019 1:27, Juri Linkov wrote:

> Thanks for the review.  Installed to master after fixing
> according to your comments.

Thanks.

>>> +;; - log-search (pattern)
>>> +;;
>>> +;;   Search for PATTERN in the revision log.
>>
>> Is pattern a regexp or a verbatim string? That should be documented.
> 
> Fixed to use string.

Since --grep expects a regexp, shouldn't PATTERN be passed through 
regexp-quote as well? Though it expects Emacs regexps, so it doesn't 
quote parens or pipes.

>> Git supports regexps, but maybe we should look at what other backends
>> can support as well.
> 
> It seems the most compatible type is string.

OK, if that is your conclusion.

>> I wonder if the format of the output should be specified as well.
>> E.g. by saying that it's the same as for print-log, long version.
> 
> Fixed by saying it's long version.
> 
> Should it support short format as well?

I don't know. How would it be used?

> Should it have a key binding?
> 
> For example, `vc-log-incoming' is bound to `C-x v I',
> `vc-log-outgoing' is bound to key `C-x v O', so logically
> `vc-log-search' would be bound to `C-x v s', but unfortunately
> it's already taken by `vc-create-tag'.

'C-x v S', then?